
QGIS Application - Bug report #5087

An action that makes the Identify Results dock appear forces a complete redraw

2012-02-24 12:59 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14853

Description

If I do anything that causes the Identify Results dock to appear, such as clicking on the Identify Features or Select single feature

buttons, the entire canvas redraws. Seems like a pointless redraw since the dock, in my case, does not change the canvas dimensions

when it opens; it just encroaches on the Layers dock.

If I close the Identify Results dock, there's no redraw, but it happens again if I click on one of those buttons.

Related issues:

Related to QGIS Application - Bug report # 2596: avoid useless canvas redraws Closed 2011-07-25

History

#1 - 2012-02-24 01:03 PM - Aren Cambre

This only happens when I have the Open identify results in a dock window setting enabled. If it's not, using those two buttons does not cause a

redraw.

This setting is a GREAT idea, but the redraws make it intolerable on complex maps.

#2 - 2012-02-24 01:27 PM - Giovanni Manghi

you may want to add your notes the the "official" "avoid useless canvas redraws" ticket

#2596

#3 - 2012-02-24 02:42 PM - Aren Cambre

- Category changed from GUI to Map Canvas

Just did it. Thanks!

#4 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#5 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-12-08 07:24 AM - Médéric RIBREUX
- Status changed from Open to Feedback

Hello, bug triage...

seems to be fixed, at least in QGIS 2.13 master in MS Windows 7 x64. Can you confirm it (I have no refresh with opening/closing the identify results dock,

even with identification tool) ?

#7 - 2015-12-26 12:41 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Médéric RIBREUX wrote:

Hello, bug triage...

seems to be fixed, at least in QGIS 2.13 master in MS Windows 7 x64. Can you confirm it (I have no refresh with opening/closing the identify results

dock, even with identification tool) ?

yes, seems ok now, please reopen if necessary.

Note: the selection (not identify) causes always a redraw. There is another ticket about it.
